Subject: Re: [PATCH net 2/2] geneve, vxlan: Don't set exceptions if skb->len < mtu

From: Stefano Brivio <[email-masked]>
Date: Mon, 15 Oct 2018 10:27:16 +0200

On Mon, 15 Oct 2018 15:01:31 +0900
Xin Long <[email-masked]> wrote:

> On Sat, Oct 13, 2018 at 6:54 AM Stefano Brivio <[email-masked]> wrote:
> >
> > We shouldn't abuse exceptions: if the destination MTU is already higher
> > than what we're transmitting, no exception should be created.  
> makes sense, shouldn't ip(6) tunnels also do this?

I should probably have mentioned this in the cover letter: in theory
yes, but I'm doing this as preparation for ICMP handling in UDP
tunnels, and those will get selftests soon (once I'm done).

Writing extensive selftests for IP tunnels will take significantly
longer, so I'm not too confident to change this right now. I'd prefer
to address that at a later time.

-- 
Stefano